<?php

declare(strict_types=1);

use App\Controller\WebsiteController;
use Hyperf\HttpServer\Router\Router;
use App\Middleware\Auth\FooMiddleware;
Router::addGroup(
    '/website', function () {
        Router::post('/addWebsite', [WebsiteController::class, 'addWebsite']);
        Router::get('/getWebsiteList', [WebsiteController::class, 'getWebsiteList']);
        Router::post('/updateWebsite', [WebsiteController::class, 'updateWebsite']);
        Router::post('/delWebsite', [WebsiteController::class, 'delWebsite']);
        Router::get('/getWebsiteInfo', [WebsiteController::class, 'getWebsiteInfo']);
        Router::get('/getWebsiteColumn', [WebsiteController::class, 'getWebsiteColumn']);
        Router::get('/getWebsiteColumnList', [WebsiteController::class, 'getWebsiteColumnList']);
        Router::post('/addWebsiteColumn', [WebsiteController::class, 'addWebsiteColumn']);
        Router::post('/updateWebsiteColumn', [WebsiteController::class, 'updateWebsiteColumn']);
        Router::post('/delWebsiteColumn', [WebsiteController::class, 'delWebsiteColumn']);
        Router::get('/getWebsiteRoleList', [WebsiteController::class, 'getWebsiteRoleList']);
        Router::post('/createWebsiteRole', [WebsiteController::class, 'createWebsiteRole']);
        Router::post('/delWebsiteRole', [WebsiteController::class, 'delWebsiteRole']);
        Router::get('/getWebsiteRoleUserList', [WebsiteController::class, 'getWebsiteRoleUserList']);
        Router::post('/createWebsiteRoleUser', [WebsiteController::class, 'createWebsiteRoleUser']);
        Router::post('/delWebsiteRoleUser', [WebsiteController::class, 'delWebsiteRoleUser']);

    },
    ['middleware' => [FooMiddleware::class]]
);
